Bug 966732 - Review Request: mailman3-fedmsg-plugin - Emit fedmsg messages from mailman3
Review Request: mailman3-fedmsg-plugin - Emit fedmsg messages from mailman3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 15:35 EDT by Ralph Bean
Modified: 2013-06-17 15:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 09:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-05-23 15:35:28 EDT
Spec URL: http://ralph.fedorapeople.org//mailman3-fedmsg-plugin.spec
SRPM URL: http://ralph.fedorapeople.org//mailman3-fedmsg-plugin-0.1.1-1.fc18.src.rpm

Description:
Publish notifications about mails to the fedmsg bus.

Enable this by adding the following to your mailman.cfg file::

    [archiver.fedmsg]
    
    class: mailman_fedmsg_plugin.Archiver
    enable: yes

You can exclude certain lists from fedmsg publication by
adding them to a 'mailman.excluded_lists' list in /etc/fedmsg.d/::

    config = {
        'mailman.excluded_lists': ['bugzilla', 'commits'],
    }
Comment 1 Ralph Bean 2013-05-23 15:35:34 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5415230
Comment 2 Douglas Schilling Landgraf 2013-05-24 13:50:59 EDT
Review based on fedora-review tool and manual steps.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Rpmlint
-------
Checking: mailman3-fedmsg-plugin-0.1.1-1.fc18.noarch.rpm
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US archiver -> archive, archives, archived
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US Archiver -> Archive, Archives, Archived
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US bugzilla -> Bugzilla
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint mailman3-fedmsg-plugin
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US archiver -> archive, archives, archived
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US Archiver -> Archive, Archives, Archived
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
mailman3-fedmsg-plugin.noarch: W: spelling-error %description -l en_US bugzilla -> Bugzilla

Above warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines 

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[OK] MUST: The License field in the package spec file must match the actual license.

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible. 

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Source checksums
----------------
http://pypi.python.org/packages/source/m/mailman3-fedmsg-plugin/mailman3-fedmsg-plugin-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : c7dde6ff19603308a9fa0bd44bd1e06af8c3e3b01868ec456c88e86e89c2f783
  CHECKSUM(SHA256) upstream package : c7dde6ff19603308a9fa0bd44bd1e06af8c3e3b01868ec456c88e86e89c2f783

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [

[OK] MUST: Each package must consistently use macros.

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 

[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

[OK] MUST: All filenames in rpm packages must be valid UTF-8. 

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

APPROVED
Comment 3 Ralph Bean 2013-05-25 19:52:04 EDT
Thanks, Douglas!
Comment 4 Ralph Bean 2013-05-25 19:53:52 EDT
New Package SCM Request
=======================
Package Name: mailman3-fedmsg-plugin
Short Description: Emit fedmsg messages from mailman3
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-05-25 21:04:15 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-25 22:39:29 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mailman3-fedmsg-plugin-0.1.1-1.fc19
Comment 7 Fedora Update System 2013-05-25 22:39:47 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mailman3-fedmsg-plugin-0.1.1-1.fc18
Comment 8 Fedora Update System 2013-05-25 22:40:04 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mailman3-fedmsg-plugin-0.1.1-1.fc17
Comment 9 Fedora Update System 2013-05-25 22:40:24 EDT
mailman3-fedmsg-plugin-0.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mailman3-fedmsg-plugin-0.1.1-1.el6
Comment 10 Fedora Update System 2013-06-11 05:04:46 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-11 05:15:01 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-06-11 23:34:33 EDT
mailman3-fedmsg-plugin-0.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-06-17 15:07:05 EDT
mailman3-fedmsg-plugin-0.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.